Skip to content

Run an AI Studio task.

Request

Please refer to the polling guide for checking task status. Requires a source image, template ID, and output count configuration.

Security
BearerAuthenticationV2
Bodyapplication/jsonrequired
Any of:
template_idstringrequired

ID of the template. List predefined templates first, and use the id of a template.

Example:"good_template_001"
output_countinteger, [ 1 .. 200 ]required

The number of generated images. It must be between 1 to 200.

Example:20
src_file_urlstringrequired

Url of the file to run task. The url should be publicly accessible.

Example:"https://example.com/selfie.jpg"
POST
/s2s/v2.0/task/ai-studio
curl -i -X POST \
  https://yce-api-01.makeupar.com/s2s/v2.0/task/ai-studio \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "template_id": "good_template_001",
    "src_file_url": "https://example.com/selfie.jpg",
    "output_count": 20
  }'

Responses

Successful execution of the task

Bodyapplication/json
statusinteger

Response status

Example:200
dataobject
Response
{ "status": 200, "data": { "task_id": "grH0CvsgXuAIHLUzD0V1Ol34hoet3R1tvdbtiVHrDb6_UqCLKIejAIajwxrhOAfe" } }